For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usLogin
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Overview
    • Authentication
    • Errors
    • Software Development Kits
    • Webhooks and Events
    • Sandbox Simulations
  • Core Resources
      • GETList Events
      • GETGet Event
  • DAFpay
  • Disbursements
  • Gift Processing
LogoLogo
Contact usLogin
Core ResourcesEvents

Get Event

GET
/v1/events/:id
GET
/v1/events/:id
$curl https://api.givechariot.com/v1/events/id \
> -H "Authorization: Bearer <token>"
1{
2 "id": "203c4e56-5c39-4a66-abcd-2ec8af99a1b9",
3 "category": "grant.created",
4 "created_at": "2024-01-19T18:48:56.37Z",
5 "associated_object_id": "4d06d393-1f14-46cf-b02d-8db17d7ed06a",
6 "associated_object_type": "grant"
7}
Retrieve an event with the given ID.
Was this page helpful?
Previous

List Event Subscriptions

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The unique id for the event

Response

OK
idstringRead-only
The unique identifier for the event
categoryenum
The category of the event. This is useful for filtering events.
created_atstringRead-onlyformat: "date-time"
The date and time the event was created
associated_object_idstringRead-only
The unique identifier for the associated object
associated_object_typestringRead-only
The type of the associated object

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error